#!/usr/bin/gnuplot

dt = 0.314159
P = 20*dt

f(t) = t/P

F(x) = a+b*x

fit F(x) "<./outliers.awk nbody.orbits.tmp" u (f($1)):2 via a,b

print "a = ", a
print "b = ", b

set term png small
set out "dadt.png"

p \
  "nbody.orbits.tmp" u (f($2)):3,\
  "<./outliers.awk nbody.orbits.tmp" u (f($1)):2 lw 2,\
  F(x)


